aboutsummaryrefslogtreecommitdiffstats
path: root/community/xmlsec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-10-13 10:42:46 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-10-13 10:44:48 +0000
commita7c00d7683eb7f886c49b05f1c2b553b800e4e5d (patch)
tree4d66d6f433df748f092702fdb33f31d9f4cbf3f7 /community/xmlsec/APKBUILD
parent0ba2e417b2f88fd3ce772b8eb56b41425c1ba658 (diff)
downloadaports-a7c00d7683eb7f886c49b05f1c2b553b800e4e5d.tar.gz
aports-a7c00d7683eb7f886c49b05f1c2b553b800e4e5d.tar.bz2
aports-a7c00d7683eb7f886c49b05f1c2b553b800e4e5d.tar.xz
community/xmlsec: fix detection of libressl
this is a workaround for https://github.com/lsh123/xmlsec/issues/48 We also make sure that we keep the .la files as they are needed to load the openssl driver.
Diffstat (limited to 'community/xmlsec/APKBUILD')
-rw-r--r--community/xmlsec/APKBUILD17
1 files changed, 12 insertions, 5 deletions
diff --git a/community/xmlsec/APKBUILD b/community/xmlsec/APKBUILD
index b459295f94..a5d4250959 100644
--- a/community/xmlsec/APKBUILD
+++ b/community/xmlsec/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Sander Maijers <S.N.Maijers+Alpine@gmail.com>
pkgname='xmlsec'
pkgver='1.2.22'
-pkgrel=2
+pkgrel=3
pkgdesc="Provides a C based implementation for XML Signature Syntax and Processing and XML Encryption Syntax and Processing."
url="https://github.com/lsh123/${pkgname}/"
arch="all"
@@ -11,12 +11,15 @@ depends=""
depends_dev=
makedepends="${depends_dev} libxml2-dev libxslt-dev libressl-dev autoconf automake libtool"
install=
+options="libtool"
subpackages="${pkgname}-dev ${pkgname}-doc"
-source="${url}/archive/${pkgname}-${pkgver//./_}.tar.gz"
+source="${url}/archive/${pkgname}-${pkgver//./_}.tar.gz
+ libressl.patch"
builddir="${srcdir}/${pkgname}-${pkgname}-${pkgver//./_}"
prepare() {
cd "${builddir}"
+ default_prepare || return 1
./autogen.sh
}
@@ -28,6 +31,7 @@ build() {
--prefix='/usr' \
--disable-static \
--enable-pkgconfig \
+ --with-openssl=/usr \
--with-default-crypto='openssl' \
|| return 1
make || return 1
@@ -47,6 +51,9 @@ package() {
|| return 1
}
-md5sums="b0bdaeee4cb39bfe56f2d28bae17faa8 xmlsec-1_2_22.tar.gz"
-sha256sums="f04da7bb6e20e9b9b7a39bb64cfad6836c665cfa6e14f6316fc24fcac6cbac06 xmlsec-1_2_22.tar.gz"
-sha512sums="f03b2dd9fdd9152e4a13466bf71018a2ef5290425019d7576a6f9e9e40bd30b9e6c1895a1ba65cc819dd56a86ea1c6c47142250c6e0695d5c02d4e0322bd8b67 xmlsec-1_2_22.tar.gz"
+md5sums="b0bdaeee4cb39bfe56f2d28bae17faa8 xmlsec-1_2_22.tar.gz
+6fdbe893a933da04e8842a46df2e695f libressl.patch"
+sha256sums="f04da7bb6e20e9b9b7a39bb64cfad6836c665cfa6e14f6316fc24fcac6cbac06 xmlsec-1_2_22.tar.gz
+2dd03f3e3c9ea256012a1b000d82e774f1bcac5bb7adc6bcb86d9cfbf36bc2cb libressl.patch"
+sha512sums="f03b2dd9fdd9152e4a13466bf71018a2ef5290425019d7576a6f9e9e40bd30b9e6c1895a1ba65cc819dd56a86ea1c6c47142250c6e0695d5c02d4e0322bd8b67 xmlsec-1_2_22.tar.gz
+fabc3a3713bc3b7060ca607dbffc094edd31b8e25acefd26706635b38abadbdcc171a4abcb48f1c79876e548bc1370996d92ba718ebd898ce5d73522c2897a69 libressl.patch"